package com.ruoyi.system.service.other;

import com.ruoyi.system.domain.other.MapEntity;

import java.util.List;

public interface MapEntityService {
    // 获取所有实体
    List<MapEntity> getAllMapEntitiesByLevel(String level);
    // 根据 ID 获取实体
    MapEntity getMapEntityById(String id);
    // 更新实体
    MapEntity updateMapEntity(String id, MapEntity mapEntity);
    // 删除实体
    void deleteMapEntity(String id);

    MapEntity addMapEntityById(MapEntity mapEntity);
}